%define languageenglazy Kashubian
%define languagecode    csb
%define lc_ctype        csb_PL

%define upstream_version 20050311

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        GPL+
Group:          System/Internationalization 
URL:            http://borel.slu.edu/crubadan/apps.html
Source0:        http://ftp.gnu.org/gnu/aspell/dict/csb/aspell6-%{languagecode}-0.02-0.tar.bz2

BuildRequires:  aspell
BuildRequires:  hunspell

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-csb
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
Obsoletes:      myspell-%{languagecode} <= 1.0.3
Provides:       myspell-%{languagecode}
Obsoletes:      myspell-csb_CSB <= 1.0.3
Provides:       myspell-csb_CSB

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -n aspell6-csb-0.02-0

%build
export LANG=%{lc_ctype}.utf8
preunzip %{languagecode}.cwl
wordlist2hunspell %{languagecode}.wl %{lc_ctype}
for i in Copyright doc/Crawler.txt; do
  if ! iconv -f utf-8 -t utf-8 -o /dev/null $i > /dev/null 2>&1; then
    iconv -f ISO-8859-1 -t UTF-8 $i > $i.new
    touch -r $i $i.new
    mv -f $i.new $i
  fi
  tr -d '\r' < $i > $i.new
  touch -r $i $i.new
  mv -f $i.new $i
done

%install
install -D -m 0644 -p %{lc_ctype}.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p %{lc_ctype}.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc COPYING Copyright README doc/Crawler.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.20050311.1-15.mga6
+ Revision: 943223
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20050311.1-14.mga5
+ Revision: 746339
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20050311.1-13.mga5
+ Revision: 680222
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20050311.1-12.mga4
+ Revision: 505585
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20050311.1-11.mga3
+ Revision: 353412
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 0.20050311.1-10.mga3
+ Revision: 325187
- rebuild for Mga3 Beta1

* Tue Mar 20 2012 kamil <kamil> 0.20050311.1-9.mga2
+ Revision: 224581
- add requirement on locales (mga#4632)

* Wed Feb 08 2012 dmorgan <dmorgan> 0.20050311.1-8.mga2
+ Revision: 206386
- Better obsolete myspell-csb_CSB

* Mon Jan 16 2012 kamil <kamil> 0.20050311.1-7.mga2
+ Revision: 196636
- hunspell is now suggested
- drop requirement on locales

* Sun Jan 08 2012 kamil <kamil> 0.20050311.1-6.mga2
+ Revision: 193198
- adapt the file to the current policy
  o use languageenglazy, languagecode, lc_ctype defines
  o add requirements on locales-%%{languagecode}
  o add providing of
  x enchant-dictionary
  x hunspell-dictionary
  x hunspell-%%{lc_ctype}
  x dictionary-%%{languagecode}
  x dictionary-%%{lc_ctype}
  o obsolete myspell- csb dictionaries
  o install files into %%{_datadir}/hunspell/*
  o add backward compatibility for myspell
- clean spec

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20050311.1-5.mga1
+ Revision: 69984
- Fix buildrequires
- imported package hunspell-csb


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050311-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050311-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Jul 11 2009 Caolan McNamara <caolanm@redhat.com> - 0.20050311-3
- tidy spec

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20050311-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Oct 18 2008 Caolan McNamara <caolanm@redhat.com> - 0.20050311-1
- initial version
